clang 10.0.0git

Public Attributes | List of all members
clang::index::IndexDataConsumer::ASTNodeInfo Struct Reference

`#include "clang/Index/IndexDataConsumer.h"`

Collaboration diagram for clang::index::IndexDataConsumer::ASTNodeInfo:
[legend]

## Public Attributes
const Expr * | OrigE
const Decl * | OrigD
const Decl * | Parent
const DeclContext * | ContainerDC

## Detailed Description

Definition at line 28 of file IndexDataConsumer.h.

## Member Data Documentation

## ◆ ContainerDC

const DeclContext* clang::index::IndexDataConsumer::ASTNodeInfo::ContainerDC

Definition at line 32 of file IndexDataConsumer.h.

## ◆ OrigD

const Decl* clang::index::IndexDataConsumer::ASTNodeInfo::OrigD

Definition at line 30 of file IndexDataConsumer.h.

## ◆ OrigE

const Expr* clang::index::IndexDataConsumer::ASTNodeInfo::OrigE

Definition at line 29 of file IndexDataConsumer.h.

## ◆ Parent

const Decl* clang::index::IndexDataConsumer::ASTNodeInfo::Parent

Definition at line 31 of file IndexDataConsumer.h.

The documentation for this struct was generated from the following file:

- include/clang/Index/IndexDataConsumer.h